Arch: Arredamento

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Equipment and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎русский • ‎Türkçe • ‎українська
Arrow-left.svg Arch Fence.svg Recinzione Pagina precedente:
Pagina successiva: Tubazioni Arch CompPipe.png Arrow-right.svg

Arch Equipment.svg Arredo

Posizione nel menu
Arch → Arredo
Ambiente
Arch
Avvio veloce
E Q
Introdotto nella versione
-
Vedere anche
3 viste da mesh


Descrizione

Lo strumento Arredo offre un modo semplice e comodo per inserire nei progetti degli elementi autonomi non strutturali come ad esempio i mobili, le attrezzature idrosanitarie o gli apparecchi elettrici. Gli Arredi sono basati su forme Part, che permettono loro di beneficiare della solidità e delle possibilità delle geometrie BRep, e che generano una bella vista durante il rendering dei piani e viste in sezione.

Arch equipment example.jpg

Oggetti di arredamento racchiusi in un oggetto Arredo. Le proiezioni piatte possono essere ottenute dallo strumento Vista 2D di Draft


A partire dalla versione 0.17, gli oggetti arredo hanno anche una proprietà DATAHiRes in cui può essere collegato un oggetto Mesh. Quindi gli oggetti arredo possono essere creati in modo che nella vista 3D sia visualizzata tale mesh invece che la loro forma, e questo permette di utilizzare qualsiasi oggetto mesh ad alta risoluzione, ad esempio i mobili dettagliati che si trovano comunemente sui siti web.

Arch equipment mesh.jpg

Oggetti di arredamento racchiusi in un oggetto Arredo, con allegata una mesh ad alta risoluzione


Quando si utilizza l'esportatore OBJ di Arch, tutti gli oggetti arredo che si trovano in modalità di visualizzazione Mesh vengono esportati come loro mesh, invece della loro forma.

Utilizzo

  1. Selezionare una forma Part e, opzionalmente, un oggetto Mesh.
  2. Premere il pulsante Arch Equipment.svg Arredo, o premere i tasti E poi Q.

Opzioni

  • Gli elementi Arredo condividono le proprietà e i comportamenti comuni di tutti i Componenti Arch

Proprietà

  • DATIModel: Una descrizione del modello di questo arredo.
  • DATIUrl: Un URL della pagina del prodotto dove si possono trovare maggiori informazioni su questo arredo.
  • DATIMesh: Una rappresentazione Mesh da utilizzare per questo arredo. Quando è impostata, diventa disponibile la modalità di visualizzazione Mesh.

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Arredo può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Equipment = makeEquipment(baseobj=None, placement=None, name="Equipment")
  • Crea un oggetto Equipment dal baseobj dato, che può essere una Part o una Mesh.
  • Se viene dato un placement, esso viene utilizzato.
  • Restituisce None se l'operazione fallisce.

Esempio:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 500
Box.Width = 2000
Box.Height = 600

Equip = Arch.makeEquipment(Box)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Fence.svg Recinzione Pagina precedente:
Pagina successiva: Tubazioni Arch CompPipe.png Arrow-right.svg